import { HcApi } from '../../../request/index'
// 开工预付款计量单接口
export default {
    //分页
    async getPage(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/startPayMeterForm/page',
            method: 'get',
            params: form,
        }, msg)
    },
      //详情
    async detail(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/startPayMeterForm/detail',
            method: 'get',
            params: form,
        }, msg)
    },
    //新增
    async add(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/startPayMeterForm/add',
            method: 'post',
            data: form,
        }, msg)
    },
    //修改
    async update(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/startPayMeterForm/update',
            method: 'post',
            data: form,
        }, msg)
    },
    //删除
    async remove(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/startPayMeterForm/remove',
            method: 'post',
            params: form,
        }, msg)
    },
    //获取开工预付款总额
    async getStartAmount(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/startPayMeterForm/getStartAmount',
            method: 'get',
            params: form,
        }, msg)
    },

}